package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Site airtimeFairness.
 */
@ApiModel(description = "Site airtimeFairness.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class AirtimeFairnessSettingVo   {
  @JsonProperty("enable2g")
  private Boolean enable2g;

  @JsonProperty("enable5g")
  private Boolean enable5g;

  @JsonProperty("enable6g")
  private Boolean enable6g;

  public AirtimeFairnessSettingVo enable2g(Boolean enable2g) {
    this.enable2g = enable2g;
    return this;
  }

  /**
   * Whether to enable 2G airtime fairness
   * @return enable2g
  */
  @ApiModelProperty(required = true, value = "Whether to enable 2G airtime fairness")
  @NotNull


  public Boolean getEnable2g() {
    return enable2g;
  }

  public void setEnable2g(Boolean enable2g) {
    this.enable2g = enable2g;
  }

  public AirtimeFairnessSettingVo enable5g(Boolean enable5g) {
    this.enable5g = enable5g;
    return this;
  }

  /**
   * Whether to enable 5G airtime fairness
   * @return enable5g
  */
  @ApiModelProperty(required = true, value = "Whether to enable 5G airtime fairness")
  @NotNull


  public Boolean getEnable5g() {
    return enable5g;
  }

  public void setEnable5g(Boolean enable5g) {
    this.enable5g = enable5g;
  }

  public AirtimeFairnessSettingVo enable6g(Boolean enable6g) {
    this.enable6g = enable6g;
    return this;
  }

  /**
   * Whether to enable 6G airtime fairness
   * @return enable6g
  */
  @ApiModelProperty(required = true, value = "Whether to enable 6G airtime fairness")
  @NotNull


  public Boolean getEnable6g() {
    return enable6g;
  }

  public void setEnable6g(Boolean enable6g) {
    this.enable6g = enable6g;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AirtimeFairnessSettingVo airtimeFairnessSettingVo = (AirtimeFairnessSettingVo) o;
    return Objects.equals(this.enable2g, airtimeFairnessSettingVo.enable2g) &&
        Objects.equals(this.enable5g, airtimeFairnessSettingVo.enable5g) &&
        Objects.equals(this.enable6g, airtimeFairnessSettingVo.enable6g);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable2g, enable5g, enable6g);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AirtimeFairnessSettingVo {\n");
    
    sb.append("    enable2g: ").append(toIndentedString(enable2g)).append("\n");
    sb.append("    enable5g: ").append(toIndentedString(enable5g)).append("\n");
    sb.append("    enable6g: ").append(toIndentedString(enable6g)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

